# This file created by conda-build 3.18.11
# meta.yaml template originally from:
# /tmp/build/80754af9/aggregate/llvmlite-feedstock/recipe, last modified Wed Nov 13 09:48:02 2019
# ------------------------------------------------

package:
    name: llvmlite
    version: 0.30.0
source:
    git_rev: v0.30.0
    git_url: https://github.com/numba/llvmlite
build:
    number: '0'
    script_env:
        - PY_VCRUNTIME_REDIST
    string: py38hd408876_0
requirements:
    build:
        - _libgcc_mutex 0.1 main
        - binutils_impl_linux-64 2.31.1 h6176602_1
        - binutils_linux-64 2.31.1 h6176602_8
        - gcc_impl_linux-64 7.3.0 habb00fd_1
        - gcc_linux-64 7.3.0 h553295d_8
        - gxx_impl_linux-64 7.3.0 hdf63c60_1
        - gxx_linux-64 7.3.0 h553295d_8
        - libgcc-ng 9.1.0 hdf63c60_0
        - libstdcxx-ng 9.1.0 hdf63c60_0
        - make 4.2.1 h1bed415_1
    host:
        - _libgcc_mutex 0.1 main
        - ca-certificates 2019.10.16 0
        - libedit 3.1.20181209 hc058e9b_0
        - libffi 3.2.1 hd88cf55_4
        - libgcc-ng 9.1.0 hdf63c60_0
        - libstdcxx-ng 9.1.0 hdf63c60_0
        - llvmdev 8.0.0 hc6ec683_0
        - ncurses 6.1 he6710b0_1
        - openssl 1.1.1d h7b6447c_3
        - python 3.8.0 h0371630_2
        - readline 7.0 h7b6447c_5
        - sqlite 3.30.1 h7b6447c_0
        - tk 8.6.8 hbc83047_0
        - xz 5.2.4 h14c3975_4
        - zlib 1.2.11 h7b6447c_3
    run:
        - libgcc-ng >=7.3.0
        - libstdcxx-ng >=7.3.0
        - python >=3.8,<3.9.0a0
        - zlib >=1.2.11,<1.3.0a0
test:
    commands:
        - python -m llvmlite.tests
    imports:
        - llvmlite
        - llvmlite.binding
about:
    home: https://github.com/numba/llvmlite
    license: New BSD License
    summary: A lightweight LLVM python binding for writing JIT compilers
extra:
    copy_test_source_files: true
    final: true
